---
title: "Start Recording"
api: "POST /v2/api/recordings/start-recording"
description: "Start recording an active call."
---

> **For AI agents:** the complete documentation index is at [llms.txt](https://docs.trillet.ai/llms.txt). Append `.md` to any page URL for its markdown version.

## Headers
<ParamField header="x-workspace-id" type="string" required>
Workspace identifier for the API.
</ParamField>

## Request Body

<ParamField body="pathwayId" type="string" required>
The call flow pathway ID associated with the call.
</ParamField>

<ParamField body="roomName" type="string" required>
The call session room name of the active call to start recording.
</ParamField>

## Response Fields

<ResponseField name="message" type="string">
Confirmation message.
</ResponseField>

<ResponseField name="result" type="object">
Recording result details for the call session.
</ResponseField>

<ResponseExample>
```json
{
  "message": "Recording started successfully",
  "result": {
    "egressId": "EG_abc123"
  }
}
```
</ResponseExample>
